%=======================================================================
%To solve optimization problem:
%Create a new subfolder in ...\PSG\MATLAB:
%..\PSG\MATLAB\problem_cvar_dev
%Download and unpack the following zipped file from 'Data' to the created folder:
%'Mat_data_problem_cvar_dev.zip'
%Run program 'problem_cvar_dev.m'
%=======================================================================

clc;
clear;
addpath('..');

%Load data:
load('.\problem_cvar_dev_data.mat')
%Solve optimization problems:
[xout, fval, status, output] = riskprog('cvar_dev', 0.9, H, c);

%Display results:
disp(' ');
disp('Results: ');
%Display status of optimization problem:
disp(sprintf('status of optimization problem = %s', status));
%Display solving time:
disp(sprintf('solving time = %g', output.solving_time));
%Display objective:
disp(sprintf('objective = %g', fval));
%Display function:
disp(sprintf('cvar_dev = %g', output.frval));
%Display optimal point:
disp('optimal point = ');
disp(xout)
